### Hierarchy

- ServerOptions

## Index

### Properties

- IncomingMessage
- ServerResponse
- insecureHTTPParser
- maxHeaderSize

## Properties

### Optional IncomingMessage

IncomingMessage?: typeof IncomingMessage

### Optional ServerResponse

ServerResponse?: typeof ServerResponse

### Optional insecureHTTPParser

insecureHTTPParser?: boolean

Use an insecure HTTP parser that accepts invalid HTTP headers when true. Using the insecure parser should be avoided. See --insecure-http-parser for more information.

default

  false

### Optional maxHeaderSize

maxHeaderSize?: number

Optionally overrides the value of `--max-http-header-size` for requests received by this server, i.e. the maximum length of request headers in bytes.

default

  8192

Generated using TypeDoc